Mac出现dyld: Library not loaded: /usr/local/opt/libpsl/lib/libpsl.5.dylib错误

由于本地开发环境通过brew安装了python和php,在使用brew更新python时出现问题(具体日志找不到了),同时提示php版本出现问题

在使用php -v命令时,出现

dyld: Library not loaded: /usr/local/opt/libpsl/lib/libpsl.5.dylib
Referenced from: /usr/local/opt/curl-openssl/lib/libcurl.4.dylib
Reason: image not found
[1] 1157 abort php -v

以上错误提示

根据提示内容,提示找不到库,此时去路径/usr/local/opt/下面,已经找不到libpsl的文件

然后通过

brew search libpsl

发现已经存在或者并不存在的情况下,执行

安装
brew install libpsl
或重新安装
brew reinstall libpsl

完成后,重新执行php -v则正常返回php版本信息,并且路径/usr/local/opt/下面存在libpsl文件。

重新执行python3 --version正常返回python版本信息,则问题修复

打赏

取消

感谢您的支持,我会继续努力的!

扫码支持
扫码打赏,您说多少就多少

打开支付宝扫一扫,即可进行扫码打赏哦

分享从这里开始,精彩与您同在

评论

管理员已关闭评论功能...

相关推荐